{ pkgs ? import <nixpkgs> { } }:
with pkgs;
let
    version = "0.0.1";
    deps = [ ];
    nativeDeps = [ ];
in
pkgs.buildGo119Module {
  pname = "voc-telemetry";
  inherit version;
  src = ./.;
  buildInputs = [
    stdenv
  ] ++deps;
  nativeBuildInputs = [
    musl
  ] ++nativeDeps;
  tags = [ ];

  CGO_ENABLED = 0;
  ldflags = [
      "-s" "-w"
      "-linkmode external"
      "-extldflags '-static -L${musl}/lib'"
    ];

  allowGoReference = false;
  #vendorSha256 = lib.fakeSha256;
  vendorHash = "sha256-RNGVk+X1TpWch1y3JV/RUSao48m19lawkHfwAh7xi2Y=";

  meta = {
    description = "TBA";
    homepage = "https://git.entr0py.de/garionion/voc-telemetry";
  };
}